@media screen and (max-width: 1300px) {
    .container {
        width: 100%;
    }
    .row {
        padding: 30px 0;
    }
    .row-b {
        padding: 0 0 30px;
    }
    .row-t {
        padding: 30px 0 0;
    }
    #logo {
        width: 250px;
    }
    header .title {
        padding-left: 30px;
    }
    #sidebar {
        width: 250px;
    }
    #sidebar,
    #content {
        padding: 30px 0 40px;
    }
    #sidebar + #content {
        width: calc(100% - 250px);
        padding-left: 30px;
    }
    body {
        font-size: 16px;
    }
    .form-group .label,
    input:not([type="submit"]),
    select,
    textarea,
    table,
    #contacts li, #teachers li, .pupil li,
    .pupil .info li,.pupil .title{
        font-size: inherit;
    }
    #sidebar ul {
        padding: 20px 0;
        position: relative;
    }
    #sidebar a {
        font-size: 17px;
        line-height: 1;
        min-height: 45px;
    }
    #sidebar ul {
        padding: 20px 0;
        position: relative;
    }
    .lesson {
        min-height: 190px;
        padding: 20px 20px 60px 20px;

    }
    .lesson.test {
        padding-bottom: 20px;
    }
    .lesson .title {
        font-size: 23px;
    }
    .lesson .desc {
        font-size: 18px;
    }
    h1 {
        font-size: 26px;
        margin-bottom: 20px;
    }
    .btn {
        border-radius: 20px;
        font-size: 17px;
        line-height: 1;
        min-width: 165px;
    }
    .content-text * {
        margin: 10px 0;
    }
    table td[data-td=number]{width: 95px;}
    table td[data-td=date]{width: 105px;}
    table td[data-td=time]{width: 120px;}
    table td[data-td=result]{width: 70px;}
    table td[data-td=status]{width: 145px;}
    .pupil .img {
        margin-right: 15px;
    }
    .pupil .col {
        padding: 0 15px;
    }
    .pupil .info {
        width: auto;
    }
}

@media screen and (max-width: 1150px) {
    .pupil .col {
        width: 50%;
    }
    .pupil .col1 {
        width: 100%;
        margin-bottom: 30px;
        justify-content: flex-start;
    }
    .pupil .col1:before{
        height: 0;
        width: 100%;
        border: 0px;
        border-top: 1px solid #a8bdd5;
        border-bottom: 1px solid #fff;
        left: 0px;
        bottom: -15px;
        top: auto;
        display: block;
    }
    .pupil .col2:before{
        display: none;
    }
    .pupil {
        padding: 20px 0;
    }
}

@media screen and (max-width: 1000px) {
    #sidebar {
        width: 280px;
        position: fixed;
        top: 0;
        z-index: 10;
        padding: 20px;
        overflow-y: scroll;
        height: 100%;
        background: #fff url(../icon/patterns/trans.png);
        right: -280px;
        transition: .5s;
        border-left: 2px solid #d7d7d7;
        border-right: 0px;
    }
    #sidebar.active {
        right: 0;
    }
    #sidebar:before {
        display: none;
    }
    #sidebar + #content {
        width: 100%;
        padding-left: 0;
    }
    header {
        padding: 15px 0;
    }
    #logo {
        width: calc(100% - 85px);
    }
    header .title {
        padding-left: 0;
    }
    #menuBtn,
    #sidebar .close {
        display: block;
    }
    table + h2 {
        margin-top: 30px;
    }
    footer a {
        position: static;
        display: block;
        margin-top: 10px;
    }
}

@media screen and (max-width: 780px) {
    header .title {
        font-size: 18px;
    }
    header .title span {
        display: inline;
    }
    header .user {
        display: none;
    }
    .lesson {
        padding: 20px 10px 60px 10px;
    }
    .themes .lesson .title {
        min-width: calc(100% - 50px);
    }
    table .icon-s {
        padding-left: 40px;
    }
    table .status {
        left: 8px;
        top: 3px;
    }
    table td, table th {
        padding: 7px 10px;
    }
    table td[data-td="number"] {width: 85px;}
    table td[data-td="date"] {width: 95px;}
    table td[data-td="time"] {width: 110px;}
    table td[data-td="result"] {width: 57px;}
    table td[data-td="status"] {width: 130px;}
    #teachers .item{
        border-left-width: 5px;
        border-right-width: 5px;
        padding: 15px
    }
    #teachers img {
        width: 135px;
    }
    #teachers .info {
        width: calc(100% - 135px);
        padding: 10px 0 0 20px;
    }
    .content-text .column li {
        width: 100%;
        order: 0 !important;
    }
    .content-text .column li.border {
        border-left: none;
        padding-left: 35px;
    }
    .content-text .column ol li.border::before,
    .content-text .column li.border::before {
        left: 10px;
    }
    .content-text .column3 > div, .content-text .column3 img, .content-text .float_block img, .content-text .column3 img + div {
        width: calc(50% - 15px);
    }
    .content-text div.border{
        margin-bottom: 10px;
    }
    #test {
        padding: 50px 20px 20px;
    }
}

@media screen and (max-width: 680px) {
    .lesson:nth-child(n) {
        width: 49%;
    }
    .lesson:nth-child(2n) {
        margin-right: 0;
    }
    .themes .status {
        height: 34px;
        min-width: 34px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
}

@media screen and (max-width: 640px) {
    table{
        display: block;
        overflow-y: scroll;
    }
    #avatar {
        padding: 10px 10px 10px 150px;
        min-height: 140px;
    }
    #avatar .img {
        top: 10px;
        left: 10px;
        width: 120px;
        height: 120px;
    }
    .form-group .label {
        width: 120px;
    }
    .form-group > input, .form-group > select {
        width: calc(100% - 120px);
    }
    .form-group .group {
        width: calc((100% - 120px)/2 - 2px);
    }
    #teachers .item.active::before {
        width: 40px;
        height: 78px;
        right: 5px;
        background-size: contain;
        background-repeat: no-repeat;
    }
    #contacts li, #teachers li, .pupil li {
        padding-left: 30px;
        min-height: 21px;
        background-size: 20px;
    }
    #test {
        padding: 20px;
    }
    #test .time {
        position: static;
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 540px) {
    #contacts .item {
        width: 100%;
    }
    .content-text .column > div, .content-text .column img, .content-text .float_block img, .content-text .column3 img + div{
        width: 100%;
    }
    .content-text .column img{
        margin: 10px 0;
    }
    .content-text blockquote {
        padding: 15px 15px 15px 40px;
        margin-left: 0px;
    }
    .content-text blockquote::before {
        border: 15px solid transparent;
        border-top: 15px solid #e7ecf8;
        left: -15px;
    }
    .content-text blockquote::after {
        background-size: contain;
        width: 25px;
        left: 10px;
        top: -5px;
    }
    #test .answer {
        width: 100%;
    }
}

@media screen and (max-width: 480px) {
    #logo {
        background-size: 140px;
        height: 40px;
    }
    #chat {
        padding: 10px;
    }
    #chat .mess {
        width: 100%;
        min-width: 0;
    }
    #chat .info {
        padding-left: 10px;
    }
    #chat .sent .info {
        padding-right: 10px;
    }
    #chat .name .time {
        display: block;
    }
    .lesson:nth-child(n) {
        width: 100%;
        margin-right: 0;
        min-height: 140px;
    }
    #breadcrumbs li {
        font-size: 14px;
    }
    .form-group .label {
        width: 100%;
        margin-bottom: 5px;
    }
    .form-group > input, .form-group > select {
        width: 100%;
    }
    .form-group .group {
        width: calc(50% - 2px);
    }
    .profile .buttons{
        text-align: right;
    }
    .btn + .btn {
        margin-top: 10px;
    }
    #teachers .info {
        width: 100%;
        padding: 10px 0 0;
    }
    #teachers img {
        width: 60px;
    }
}

@media screen and (max-width: 430px) {
    .pupil .info {
        width: 100%;
        margin-top: 10px;
    }
    #test {
        width: calc(100% + 40px);
        margin-left: -20px;
    }
    #test .answer {
        min-height: 50px;
        padding: 5px 5px 5px 55px;
        font-size: 16px;
    }
    #test .answer::before {
        width: 45px;
        line-height: 50px;
        font-family: Bold;
        font-size: 25px;
    }
    #test tbody td {
        font-size: 20px;
        padding: 20px 10px;
    }
    #test .title {
        font-size: 20px;
    }
    #test .btn {
        margin-top: 30px;
    }
}
    
@media screen and (max-width: 400px) {
    #chat,#chat-form {
        width: calc(100% + 20px);
        margin-left: -10px;
    }
    #chat img {
        width: 35px;
    }
    #chat .info {
        width: calc(100% - 35px);
    }
    #avatar label {
        text-indent: -999px;
        min-width: 0px;
        padding-right: 5px;
    }
    form .captcha {
        padding: 40px 0px 10px;
        margin-left: -20px;
        width: calc(100% + 40px);
    }
    .pupil .status{
        display: none;
    }
}